; Definitions and structures used by getnetworkparams and getadaptersinfo apis

MAX_ADAPTER_DESCRIPTION_LENGTH	=	128
MAX_ADAPTER_NAME_LENGTH			=	256
MAX_ADAPTER_ADDRESS_LENGTH		=	8  
DEFAULT_MINIMUM_ENTITIES		=	32 
MAX_HOSTNAME_LEN				=	128
MAX_DOMAIN_NAME_LEN				=	128
MAX_SCOPE_ID_LEN				=	256

; types

; Node Type

BROADCAST_NODETYPE				=	1
PEER_TO_PEER_NODETYPE			=	2
MIXED_NODETYPE					=	4
HYBRID_NODETYPE					=	8

; Adapter Type
 
IF_OTHER_ADAPTERTYPE			=	0
IF_ETHERNET_ADAPTERTYPE			=	1
IF_TOKEN_RING_ADAPTERTYPE		=	2
IF_FDDI_ADAPTERTYPE				=	3
IF_PPP_ADAPTERTYPE				=	4
IF_LOOPBACK_ADAPTERTYPE			=	5
IF_SLIP_ADAPTERTYPE				=	6

; IP_ADDRESS_STRING - store an IP address as a dotted decimal string

IP_ADDRESS_STRING	STRUCT
	String		Byte	(4 * 4)	dup(?)
IP_ADDRESS_STRING	ENDS

LPIP_ADDRESS_STRING	typedef	Ptr IP_ADDRESS_STRING

IP_MASK_STRING	STRUCT
	String		Byte	(4 * 4)	dup(?)
IP_MASK_STRING	ENDS

LPIP_MASK_STRING	typedef	Ptr IP_MASK_STRING

; IP_ADDR_STRING - store an IP address with its corresponding subnet mask,
; both as dotted decimal strings

IP_ADDR_STRING	STRUCT
	Next		LPIP_ADDRESS_STRING	?
	IpAddress	IP_ADDRESS_STRING	<>
	IpMask		IP_MASK_STRING		<>
	Context		DWord				?
IP_ADDR_STRING	ENDS

LPIP_ADDR_STRING	typedef Ptr	IP_ADDR_STRING

; ADAPTER_INFO - per-adapter information. All IP addresses are stored as strings

IP_ADAPTER_INFO			STRUCT
	Next				DWord				<>												; LPIP_ADAPTER_INFO
	ComboIndex			DWord				?
	AdapterName			Byte				(MAX_ADAPTER_NAME_LENGTH + 4)			dup(?)
	Description			Byte				(MAX_ADAPTER_DESCRIPTION_LENGTH + 4)	dup(?)
	AddressLength		DWord				?
	Address				Byte				(MAX_ADAPTER_ADDRESS_LENGTH)			dup(?)
	Index				DWord				?
	dwType				DWord				?
	DhcpEnabled			DWord				?
	CurrentIpAddress	LPIP_ADDR_STRING	?
	IpAddressList		IP_ADDR_STRING		<>
	GatewayList			IP_ADDR_STRING		<>
	DhcpServer			IP_ADDR_STRING		<>
	HaveWins			DWord				?
	PrimaryWinsServer	IP_ADDR_STRING		<>
	SecondaryWinsServer	IP_ADDR_STRING		<>
	LeaseObtained		DWord				?
	LeaseExpires		DWord				?
IP_ADAPTER_INFO			ENDS

LPIP_ADAPTER_INFO	typedef Ptr	IP_ADAPTER_INFO

; IP_PER_ADAPTER_INFO - per-adapter IP information such as DNS server list.

IP_PER_ADAPTER_INFO		STRUCT
	AutoconfigEnabled	DWord				?
	AutoconfigActive	DWord				?
	CurrentDnsServer	LPIP_ADDR_STRING	?
	DnsServerList		IP_ADDR_STRING		<>
IP_PER_ADAPTER_INFO		ENDS

LPIP_PER_ADAPTER_INFO	typedef	Ptr IP_PER_ADAPTER_INFO

; FIXED_INFO - the set of IP-related information which does not depend on DHCP

FIXED_INFO				STRUCT
	HostName			Byte	(MAX_HOSTNAME_LEN + 4)		dup(?)
	DomainName			Byte	(MAX_DOMAIN_NAME_LEN + 4)	dup(?)
	CurrentDnsServer	LPIP_ADDR_STRING					?
	DnsServerList		IP_ADDR_STRING						<>
	NodeType			DWord								?
	ScopeId				Byte	(MAX_SCOPE_ID_LEN + 4)		dup(?)
	EnableRouting		DWord								?
	EnableProxy			DWord								?
	EnableDns			DWord								?
FIXED_INFO				ENDS

LPFIXED_INFO	typedef	Ptr	FIXED_INFO
